Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMaskFields Class Reference

`#include <vtkMaskFields.h>`

Inheritance diagram for vtkMaskFields:

[legend]
Collaboration diagram for vtkMaskFields:

[legend]
List of all members.

## Detailed Description

Allow control of which fields get passed.

Date:
  2002/09/26 12:07:14

Revision:
  1.4

to the output

vtkMaskFields is used to mark which fields in the input dataset get copied to the output. The output will contain only those fields marked as on by the filter.

See also:
  vtkFieldData vtkDataSet vtkDataObjectToDataSetFilter vtkDataSetAttributes vtkDataArray vtkRearrangeFields vtkSplitField vtkMergeFields vtkAssignAttribute

Created by:
  - Lee, Jeff

CVS contributions (if > 5%):
  - Lee, Jeff (96%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkMaskFields.cxx)`
  - .`h` (`/Graphics/vtkMaskFields.h)`

Definition at line 52 of file vtkMaskFields.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
enum | FieldLocation { OBJECT_DATA = 0, POINT_DATA = 1, CELL_DATA = 2 }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | CopyFieldsOn ()
void | CopyAttributesOn ()
virtual void | CopyAllOn ()
virtual void | CopyAllOff ()
| vtkMaskFields ()
virtual | ~vtkMaskFields ()
void | CopyFieldOn (int fieldLocation, const char *name)
void | CopyFieldOff (int fieldLocation, const char *name)
void | CopyAttributeOn (int attributeLocation, int attributeType)
void | CopyAttributeOff (int attributeLocation, int attributeType)
void | CopyFieldsOff ()
void | CopyAttributesOff ()
void | CopyAttributeOn (const char *attributeLoc, const char *attributeType)
void | CopyAttributeOff (const char *attributeLoc, const char *attributeType)
void | CopyFieldOn (const char *fieldLoc, const char *name)
void | CopyFieldOff (const char *fieldLoc, const char *name)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkMaskFields * | SafeDownCast (vtkObject *o)
vtkMaskFields * | New ()
## Protected Methods
void | Execute ()
void | CopyFieldOnOff (int fieldLocation, const char *name, int onOff)
void | CopyAttributeOnOff (int attributeLocation, int attributeType, int onOff)
void | ClearFieldFlags ()
int | FindFlag (const char *field, int location)
int | FindFlag (int arrayType, int location)
int | GetFlag (const char *field, int location)
int | GetFlag (int arrayType, int location)
int | GetAttributeLocation (const char *loc)
int | GetAttributeType (const char *type)
## Protected Attributes
CopyFieldFlag * | CopyFieldFlags
int | NumberOfFieldFlags
int | CopyFields
int | CopyAttributes
## Static Protected Attributes
char | FieldLocationNames [3][12]
char | AttributeNames [vtkDataSetAttributes::NUM_ATTRIBUTES][10]

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkMaskFields::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 55 of file vtkMaskFields.h.

## Member Enumeration Documentation

enum vtkMaskFields::FieldLocation

  | Enumeration values:
  OBJECT_DATA |
  POINT_DATA |
  CELL_DATA |
Definition at line 132 of file vtkMaskFields.h.

## Constructor & Destructor Documentation

vtkMaskFields::vtkMaskFields | ( |  | ) |

virtual vtkMaskFields::~vtkMaskFields | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const char* vtkMaskFields::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkMaskFields::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkMaskFields::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkMaskFields* vtkMaskFields::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkMaskFields::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkMaskFields* vtkMaskFields::New | ( |  | ) | `[static]`

| Create a new vtkMaskFields. Reimplemented from vtkObject.

void vtkMaskFields::CopyFieldOn | ( | int | fieldLocation,
|  | const char * | name
| ) | `[inline]`

| Turn on/off the copying of the field or specified by name. During the copying/passing, the following rules are followed for each array: 1. If the copy flag for an array is set (on or off), it is applied This overrides rule 2. 2. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array A field name and a location must be specified. For example:
          maskFields->CopyFieldOff(vtkMaskFields::CELL_DATA, "foo");
causes the field "foo" on the input cell data to not get copied to the output. Definition at line 71 of file vtkMaskFields.h.

void vtkMaskFields::CopyFieldOff | ( | int | fieldLocation,
|  | const char * | name
| ) | `[inline]`

| Turn on/off the copying of the field or specified by name. During the copying/passing, the following rules are followed for each array: 1. If the copy flag for an array is set (on or off), it is applied This overrides rule 2. 2. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array A field name and a location must be specified. For example:
          maskFields->CopyFieldOff(vtkMaskFields::CELL_DATA, "foo");
causes the field "foo" on the input cell data to not get copied to the output. Definition at line 72 of file vtkMaskFields.h.

void vtkMaskFields::CopyAttributeOn | ( | int | attributeLocation,
|  | int | attributeType
| ) | `[inline]`

| Turn on/off the copying of the attribute or specified by vtkDataSetAttributes:AttributeTypes. During the copying/passing, the following rules are followed for each array: 1. If the copy flag for an array is set (on or off), it is applied This overrides rule 2. 2. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array An attribute type and a location must be specified. For example:
          maskFields->CopyAttributeOff(vtkMaskFields::POINT_DATA,
          vtkDataSetAttributes::SCALARS);
causes the scalars on the input point data to not get copied to the output. Definition at line 87 of file vtkMaskFields.h.

void vtkMaskFields::CopyAttributeOff | ( | int | attributeLocation,
|  | int | attributeType
| ) | `[inline]`

| Turn on/off the copying of the attribute or specified by vtkDataSetAttributes:AttributeTypes. During the copying/passing, the following rules are followed for each array: 1. If the copy flag for an array is set (on or off), it is applied This overrides rule 2. 2. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array An attribute type and a location must be specified. For example:
          maskFields->CopyAttributeOff(vtkMaskFields::POINT_DATA,
          vtkDataSetAttributes::SCALARS);
causes the scalars on the input point data to not get copied to the output. Definition at line 88 of file vtkMaskFields.h.

void vtkMaskFields::CopyFieldsOff | ( |  | ) | `[inline]`

| Convenience methods which operate on all field data or attribute data. More specific than CopyAllOn or CopyAllOff Definition at line 94 of file vtkMaskFields.h.

void vtkMaskFields::CopyAttributesOff | ( |  | ) | `[inline]`

| Convenience methods which operate on all field data or attribute data. More specific than CopyAllOn or CopyAllOff Definition at line 95 of file vtkMaskFields.h.

void vtkMaskFields::CopyFieldsOn | ( |  | ) | `[inline]`

| Definition at line 98 of file vtkMaskFields.h.

void vtkMaskFields::CopyAttributesOn | ( |  | ) | `[inline]`

| Definition at line 99 of file vtkMaskFields.h.

void vtkMaskFields::CopyAttributeOn | ( | const char * | attributeLoc,
|  | const char * | attributeType
| ) |

| Helper methods used by other language bindings. Allows the caller to specify arguments as strings instead of enums.

void vtkMaskFields::CopyAttributeOff | ( | const char * | attributeLoc,
|  | const char * | attributeType
| ) |

| Helper methods used by other language bindings. Allows the caller to specify arguments as strings instead of enums.

void vtkMaskFields::CopyFieldOn | ( | const char * | fieldLoc,
|  | const char * | name
| ) |

| Helper methods used by other language bindings. Allows the caller to specify arguments as strings instead of enums.

void vtkMaskFields::CopyFieldOff | ( | const char * | fieldLoc,
|  | const char * | name
| ) |

| Helper methods used by other language bindings. Allows the caller to specify arguments as strings instead of enums.

virtual void vtkMaskFields::CopyAllOn | ( |  | ) | `[virtual]`

| Turn on copying of all data. During the copying/passing, the following rules are followed for each array: 1. If the copy flag for an array is set (on or off), it is applied This overrides rule 2. 2. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

virtual void vtkMaskFields::CopyAllOff | ( |  | ) | `[virtual]`

| Turn off copying of all data. During the copying/passing, the following rules are followed for each array: 1. If the copy flag for an array is set (on or off), it is applied This overrides rule 2. 2. If CopyAllOn is set, copy the array. If CopyAllOff is set, do not copy the array

void vtkMaskFields::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkMaskFields::CopyFieldOnOff | ( | int | fieldLocation,
|  | const char * | name,
|  | int | onOff
| ) | `[protected]`

void vtkMaskFields::CopyAttributeOnOff | ( | int | attributeLocation,
|  | int | attributeType,
|  | int | onOff
| ) | `[protected]`

void vtkMaskFields::ClearFieldFlags | ( |  | ) | `[protected]`

int vtkMaskFields::FindFlag | ( | const char * | field,
|  | int | location
| ) | `[protected]`

int vtkMaskFields::FindFlag | ( | int | arrayType,
|  | int | location
| ) | `[protected]`

int vtkMaskFields::GetFlag | ( | const char * | field,
|  | int | location
| ) | `[protected]`

int vtkMaskFields::GetFlag | ( | int | arrayType,
|  | int | location
| ) | `[protected]`

int vtkMaskFields::GetAttributeLocation | ( | const char * | loc | ) | `[protected]`

int vtkMaskFields::GetAttributeType | ( | const char * | type | ) | `[protected]`

## Member Data Documentation

CopyFieldFlag* vtkMaskFields::CopyFieldFlags`[protected]`

| Definition at line 154 of file vtkMaskFields.h.

int vtkMaskFields::NumberOfFieldFlags`[protected]`

| Definition at line 155 of file vtkMaskFields.h.

int vtkMaskFields::CopyFields`[protected]`

| Definition at line 166 of file vtkMaskFields.h.

int vtkMaskFields::CopyAttributes`[protected]`

| Definition at line 167 of file vtkMaskFields.h.

char vtkMaskFields::FieldLocationNames[3][12]`[static, protected]`

| Definition at line 169 of file vtkMaskFields.h.

char vtkMaskFields::AttributeNames[vtkDataSetAttributes::NUM_ATTRIBUTES][10]`[static, protected]`

| Definition at line 170 of file vtkMaskFields.h.

The documentation for this class was generated from the following file:

- Graphics/vtkMaskFields.h